com.genesyslab.wfm8.API.service.config850

## Class CfgAppInfo

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config850.CfgAppInfo

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgAppInfo
      extends java.lang.Object
      implements java.io.Serializable

  Contains Application name based on ID.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswAppId` Application ID
    `protected java.lang.String` | `gswName` Application Name
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgAppInfo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswAppId()` Gets the value of the gswAppId property.
    `java.lang.String` | `getGswName()` Gets the value of the gswName property.
    `int` | `hashCode()`
    `void` | `setGswAppId(int value)` Sets the value of the gswAppId property.
    `void` | `setGswName(java.lang.String value)` Sets the value of the gswName property.
    `java.lang.String` | `toString()`
    `CfgAppInfo` | `withGswAppId(int value)`
    `CfgAppInfo` | `withGswName(java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### gswAppId

          protected int gswAppId

      Application ID

    - #### gswName

          protected java.lang.String gswName

      Application Name

  - ### Constructor Detail

    - #### CfgAppInfo

          public CfgAppInfo()

  - ### Method Detail

    - #### getGswAppId

          public int getGswAppId()

      Gets the value of the gswAppId property.

    - #### setGswAppId

          public void setGswAppId(int value)

      Sets the value of the gswAppId property.

    - #### getGswName

          public java.lang.String getGswName()

      Gets the value of the gswName property.
      Returns:
        possible object is `String`

    - #### setGswName

          public void setGswName(java.lang.String value)

      Sets the value of the gswName property.
      Parameters:
        `value` - allowed object is `String`

    - #### withGswAppId

          public CfgAppInfo withGswAppId(int value)

    - #### withGswName

          public CfgAppInfo withGswName(java.lang.String value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.